commit:     31f619ff7926c689eef67ab6ad16fe034c56ba5c
Author:     Lukas Schmelting <lschmelting <AT> posteo <DOT> com>
AuthorDate: Tue Jun 10 17:02:04 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jun 12 22:05:47 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31f619ff

gui-libs/vte-common: Version bump to 0.78.5

Signed-off-by: Lukas Schmelting <lschmelting <AT> posteo.com>
Part-of: https://github.com/gentoo/gentoo/pull/42537
Signed-off-by: Sam James <sam <AT> gentoo.org>

 gui-libs/vte-common/Manifest                 |  1 +
 gui-libs/vte-common/vte-common-0.78.5.ebuild | 83 ++++++++++++++++++++++++++++
 2 files changed, 84 insertions(+)

diff --git a/gui-libs/vte-common/Manifest b/gui-libs/vte-common/Manifest
index 88a3b7423213..57df654380d8 100644
--- a/gui-libs/vte-common/Manifest
+++ b/gui-libs/vte-common/Manifest
@@ -1,2 +1,3 @@
 DIST vte-0.76.3.tar.bz2 564747 BLAKE2B 
1ad65a18ca1aa2371dd74ef3ebaf1aa44358c4a1cbcfa39296fde10e03a76cdbdd2ca7f229f1b4507016e8b986824407d937952a45306eab5e6c0ca5ee9cec8b
 SHA512 
8b7e18831e99ac92159f7b39c6404879cebf22f1f2dcb3feb38cad61f374767f631923c219e153551e9f30ee75c1e8e975fbbf3a6027b9c62ba4f948e3c9f199
 DIST vte-0.78.3.tar.xz 577420 BLAKE2B 
273702dede11b0a6dba6bcc8fb1fe7d4fdf3b5194128e39a5e8c285139afb363676e9be6b2e6642f5f6924928b1aeeabd045ddd9f606a14340ea069a2c7d4aeb
 SHA512 
364729996dd0f6e491f7ffbe342db92d9f9822c6c4468265269fcfbc324e0e2c66f75107f9653b161fe4e97755c4092571b29ded963f9c00189bcbb443b5f187
+DIST vte-0.78.5.tar.xz 577560 BLAKE2B 
b1a5a2cc9fee8eb0889d8ed8780d0f65e6d297c60c3c8cf351e1a01942c752d82d13337cd093bb65cb73f5d8c5530783b171f39dac6cd258a8d53340c14d079d
 SHA512 
10c252319e03d3882c197261b572d64c1d12871ac567bcb5f7042d516734ea6f24ade314e9146888eeea427c94ebe472a03d1967af6beeaddf212fc6fd13fe42

diff --git a/gui-libs/vte-common/vte-common-0.78.5.ebuild 
b/gui-libs/vte-common/vte-common-0.78.5.ebuild
new file mode 100644
index 000000000000..2a6788366f25
--- /dev/null
+++ b/gui-libs/vte-common/vte-common-0.78.5.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{11..13} )
+GNOME_ORG_MODULE="vte"
+
+inherit flag-o-matic gnome.org meson python-any-r1
+
+DESCRIPTION="Library providing a virtual terminal emulator widget"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/vte";
+
+S="${WORKDIR}/vte-${PV}"
+
+# Once SIXEL support ships (0.66 or later), might need xterm license (but code 
might be considered upgraded to LGPL-3+)
+LICENSE="LGPL-3+ GPL-3+"
+
+SLOT="2.91" # vte_api_version in meson.build
+
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+IUSE="systemd"
+
+DEPEND="
+       || ( >=gui-libs/gtk-4.0.1:4 >=x11-libs/gtk+-3.24.22:3 )
+       >=x11-libs/cairo-1.0
+       >=dev-libs/fribidi-1.0.0
+       >=dev-libs/glib-2.60:2
+       >=x11-libs/pango-1.22.0
+       >=dev-libs/libpcre2-10.21
+       systemd? ( >=sys-apps/systemd-220:= )
+       >=app-arch/lz4-1.9
+       x11-libs/pango
+"
+RDEPEND="
+       !<x11-libs/vte-0.70.0:2.91
+"
+BDEPEND="
+       ${PYTHON_DEPS}
+       dev-libs/libxml2:2
+       dev-util/glib-utils
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       default
+       use elibc_musl && eapply 
"${FILESDIR}"/${PN}-0.70.0-musl-W_EXITCODE.patch
+}
+
+src_configure() {
+       # Upstream don't support LTO & error out on it in meson.build (bug 
#926156)
+       filter-lto
+
+       local emesonargs=(
+               -Da11y=false
+               -Ddebug=false
+               -Ddocs=false
+               -Dgir=false
+               -Dfribidi=true # pulled in by pango anyhow
+               -Dglade=false
+               -Dgnutls=false
+               -Dgtk3=false
+               -Dgtk4=false
+               -Dicu=false
+               $(meson_use systemd _systemd)
+               -Dvapi=false
+       )
+       meson_src_configure
+}
+
+src_install() {
+       exeinto /usr/libexec/
+       doexe "${BUILD_DIR}"/src/vte-urlencode-cwd
+       insinto /etc/profile.d/
+       newins "${BUILD_DIR}"/src/vte.sh vte-${SLOT}.sh
+       newins "${BUILD_DIR}"/src/vte.csh vte-${SLOT}.csh
+       if  use systemd; then
+               insinto /usr/lib/systemd/user/vte-spawn-.scode.d/
+               newins "${S}"/src/vte-spawn-.scope.conf defaults.conf
+       fi
+       einstalldocs
+}

Reply via email to